DataNodeUsageReport.Builder (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.protocol, class: DataNodeUsageReport, class: Builder

Package org.apache.hadoop.hdfs.server.protocol

# Class DataNodeUsageReport.Builder

java.lang.Object
org.apache.hadoop.hdfs.server.protocol.DataNodeUsageReport.Builder

Enclosing class:
  DataNodeUsageReport

public static class DataNodeUsageReport.Builder extends Object
Builder class for `DataNodeUsageReport`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataNodeUsageReport`
  `build()`
  `DataNodeUsageReport.Builder`
  `setBlocksReadPerSec(long rBlock)`
  `DataNodeUsageReport.Builder`
  `setBlocksWrittenPerSec(long wBlock)`
  `DataNodeUsageReport.Builder`
  `setBytesReadPerSec(long bReadPerSec)`
  `DataNodeUsageReport.Builder`
  `setBytesWrittenPerSec(long bWrittenPerSec)`
  `DataNodeUsageReport.Builder`
  `setReadTime(long rTime)`
  `DataNodeUsageReport.Builder`
  `setTimestamp(long ts)`
  `DataNodeUsageReport.Builder`
  `setWriteTime(long wTime)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### build

    public DataNodeUsageReport build()

  - ### setBytesWrittenPerSec

    public DataNodeUsageReport.Builder setBytesWrittenPerSec(long bWrittenPerSec)

  - ### setBytesReadPerSec

    public DataNodeUsageReport.Builder setBytesReadPerSec(long bReadPerSec)

  - ### setWriteTime

    public DataNodeUsageReport.Builder setWriteTime(long wTime)

  - ### setReadTime

    public DataNodeUsageReport.Builder setReadTime(long rTime)

  - ### setBlocksWrittenPerSec

    public DataNodeUsageReport.Builder setBlocksWrittenPerSec(long wBlock)

  - ### setBlocksReadPerSec

    public DataNodeUsageReport.Builder setBlocksReadPerSec(long rBlock)

  - ### setTimestamp

    public DataNodeUsageReport.Builder setTimestamp(long ts)